package usecase

import "github.com/shopspring/decimal"

// Int64Ptr 將 int64 類型轉為 *int64，若值為 0 則返回 nil
func Int64Ptr(val int64) *int64 {
	if val == 0 {
		return nil
	}

	return &val
}

// DecimalToStringPtr 將 decimal.Decimal 指標轉換為 *string，若為 nil 則返回 nil
func DecimalToStringPtr(val *decimal.Decimal) *string {
	if val == nil {
		return nil
	}
	str := val.String()

	return &str
}

// StringPtr 將 *string 或其他欄位直接返回（適合用於已是指標的欄位）
func StringPtr(val string) *string {
	if val == "" {
		return nil
	}

	return &val
}
